INTERFACE
SUBROUTINE MWAVE_GET_TL(KMWAVE_BUF,PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF,&
 & PMWAVE_P19_BUF, PMWAVE_P37_BUF, PMWAVE_OERR_BUF,PMWAVE_PERS1_BUF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMGEM ,ONLY : NGPTOT
USE PARMWAVE ,ONLY : NMAX_CHAN, RMISSING_ANGLE, IMWAVE_P_OBS,&
 & NMWAVE_P 
USE YOMMWAVE ,ONLY : N_SATSENS, MWAVE_ID, MWAVE_NO_OBS, MWAVE_PASSIVE,&
 & MWAVE_CONTAMINATED, MWAVE_OK 
INTEGER(KIND=JPIM) ,INTENT(INOUT) :: KMWAVE_BUF (NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_ZEN_BUF (NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_AZI_BUF (NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_P19_BUF (NGPTOT,NMWAVE_P,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_P37_BUF (NGPTOT,NMWAVE_P,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_OERR_BUF (NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMWAVE_PERS1_BUF (NGPTOT,NMAX_CHAN,N_SATSENS)
END SUBROUTINE MWAVE_GET_TL
END INTERFACE
